SystemOrganization addCategory: #'Hipay-Tests'!

TestCase subclass: #HPOrderItemTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Hipay-Tests'!

!HPOrderItemTest methodsFor: 'testing' stamp: 'FrancoisStephany 1/29/2012 13:43'!
testGenerateXMLElementWithId
	| item node |
	item := HPOrderItem new
		amount: 42.5;
		categoryId: 545;
		name: 'The Seaside book.';
		infos: 'The best Seaside resource';
		reference: 'ZZ45B';
		quantity: 17.
	node := item generateXMLElementWithId: 1.

	self assert: (node attributeAt: 'id') equals: '1'.
	self assert: (node findElementNamed: 'amount') contentString equals: '42.5'.
	self assert: (node findElementNamed: 'categoryId') contentString equals: '545'.
	self assert: (node findElementNamed: 'name') contentString equals: 'The Seaside book.'.
	self assert: (node findElementNamed: 'infos') contentString equals: 'The best Seaside resource'.
	self assert: (node findElementNamed: 'reference') contentString equals: 'ZZ45B'.
	self assert: (node findElementNamed: 'quantity') contentString equals: '17'.! !
